﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI.Localization;
using Telerik.WinControls.UI;

namespace GermanRadGridViewLocalization
{
    public partial class Form1 : Form
    {
        RadGridLocalizationProvider EnglishProvider;
        RadGridLocalizationProvider GermanProvider;

        public Form1( )
        {
            InitializeComponent( );

            this.radGridView1.EnableFiltering = true;
            this.radGridView1.ShowGroupPanel = true;
            this.radGridView1.EnableGrouping = true;
            this.radGridView1.MasterGridViewTemplate.AutoExpandGroups = true;
            this.radGridView1.MasterGridViewTemplate.AllowDragToGroup = true;
            this.radGridView1.MasterGridViewTemplate.EnableGrouping = true;

            EnglishProvider = RadGridLocalizationProvider.CurrentProvider;

            RadGridLocalizationProvider.CurrentProvider = new GermanRadGridViewLocalization( );

            GermanProvider = RadGridLocalizationProvider.CurrentProvider;
        }

        private void radButtonGerman_Click( object sender , EventArgs e )
        {
            RadGridLocalizationProvider.CurrentProvider = GermanProvider;
            this.radGridView1.GridElement.Update(GridUINotifyAction.StateChanged);
        }

        private void radButtonEnglish_Click( object sender , EventArgs e )
        {
            RadGridLocalizationProvider.CurrentProvider = EnglishProvider;
            this.radGridView1.GridElement.Update(GridUINotifyAction.StateChanged);
        }

        private void Form1_Load( object sender , EventArgs e )
        {
            // create demo columns
            this.radGridView1.MasterGridViewTemplate.AutoGenerateColumns = false;

            GridViewDecimalColumn ncolumn;
            GridViewTextBoxColumn scolumn;

            ncolumn = CreateNumberColumn("ID" , "Product ID" , ContentAlignment.MiddleRight ,
                                          false , true, false , false , 0 , 0 , 1000 , "");
            this.radGridView1.MasterGridViewTemplate.Columns.Add(ncolumn);

            scolumn = CreateTextColumn("Product Name" , "Product Name" , ContentAlignment.MiddleLeft ,
                                            false , true , 128 , "");
            this.radGridView1.MasterGridViewTemplate.Columns.Add(scolumn);

            ncolumn = CreateNumberColumn("Price" , "Unit Price" , ContentAlignment.MiddleRight ,
                                          false , true , false , false , 2 , decimal.MinValue , decimal.MaxValue , "");
            this.radGridView1.MasterGridViewTemplate.Columns.Add(ncolumn);

            ncolumn = CreateNumberColumn("Ordered Units" , "Ordered Units" , ContentAlignment.MiddleRight ,
                                          false , true , false , false , 2 , decimal.MinValue , decimal.MaxValue , "");
            this.radGridView1.MasterGridViewTemplate.Columns.Add(ncolumn);

            this.radGridView1.MasterGridViewTemplate.BestFitColumns();
        }

        public GridViewDecimalColumn CreateNumberColumn(string Name , string Ueberschrift ,
                                                ContentAlignment Ausrichtung ,
                                                bool NotEditable , bool IsVisible ,
                                                bool IsNullAllowed , bool TausenderTrennzeichen ,
                                                int NachkommaStellen ,
                                                decimal Min , decimal Max ,
                                                string Format)
        {
            GridViewDecimalColumn ZahlSpalte = new GridViewDecimalColumn();

            ZahlSpalte.UniqueName = Name;
            ZahlSpalte.FieldName = Name;
            ZahlSpalte.HeaderText = Ueberschrift;
            ZahlSpalte.DecimalPlaces = NachkommaStellen;
            ZahlSpalte.Maximum = Max;
            ZahlSpalte.Minimum = Min;
            ZahlSpalte.ThousandsSeparator = TausenderTrennzeichen;
            ZahlSpalte.ReadOnly = NotEditable;
            ZahlSpalte.IsVisible = IsVisible;
            ZahlSpalte.TextAlignment = Ausrichtung;

            if (Format.Length > 0)
                ZahlSpalte.FormatString = Format;

            return ZahlSpalte;
        }

        public GridViewTextBoxColumn CreateTextColumn(string Name , string Ueberschrift ,
                                                        ContentAlignment Ausrichtung ,
                                                        bool NotEditable , bool IsVisible ,
                                                        int MaxLaenge , string Format)
        {
            GridViewTextBoxColumn TextSpalte = new GridViewTextBoxColumn();

            TextSpalte.UniqueName = Name;
            TextSpalte.FieldName = Name;
            TextSpalte.HeaderText = Ueberschrift;
            TextSpalte.MaxLength = MaxLaenge;
            TextSpalte.ReadOnly = NotEditable;
            TextSpalte.IsVisible = IsVisible;
            TextSpalte.TextAlignment = Ausrichtung;

            if (Format.Length > 0)
                TextSpalte.FormatString = Format;

            return TextSpalte;
        }
    }
}
